Pregunta sobre Localhost Installs de Wordpress:

RaspberryPi PressPi no se actualiza

Un usuario pregunt贸 馃憞

隆Hola WordPress! He estado ejecutando WordPress usando una imagen de PressPi en mi raspberry pi durante aproximadamente un a帽o y hasta ahora ha funcionado muy bien. Cuando intento actualizar wordpress autom谩ticamente, aparece el siguiente mensaje:

Descargue la actualizaci贸n de https://downloads.wordpress.org/release/wordpress-4.9.1-no-content.zip鈥

Desembalaje de la actualizaci贸n …

Verificar archivos descomprimidos鈥

Prepar谩ndose para instalar la 煤ltima versi贸n鈥

La actualizaci贸n no se puede instalar porque no podremos copiar algunos archivos. Esto generalmente se debe a permisos de archivo inconsistentes: wp-include / functions.php

Fall贸 la instalaci贸n: no s茅 qu茅 fue diferente esta vez en esta actualizaci贸n. Intent茅 revertir todos mis plugins sin suerte. 驴Qu茅 debo hacer para obtener permisos de archivo consistentes?

隆Gracias!

(@neilgilmour)

Donante de WCLDN 2018

Hace 2 a帽os, 12 meses

Hola,

Despu茅s de una b煤squeda r谩pida, aparecieron estas publicaciones que podr铆an ayudar.

https://aaronjholbrook.com/wordpress-permissions-update-error-resolved/
https://wordpress.org/support/topic/inconsistent-file-permission-error-when-attempting-to-update-wordpress/

Sin embargo, sus mensajes de error mencionan un archivo diferente. As铆 que me pregunto si hizo alg煤n cambio en functions.php, y si es as铆, 驴c贸mo lo hizo? Verificar铆a los permisos en functions.php. Supongo que si est谩 usando pi no lo necesitar谩, pero aqu铆 hay una actualizaci贸n de los permisos de archivo en WordPress: https://codex.wordpress.org/Changing_File_Permissions

(@rossmitchell)

Hace 2 a帽os, 12 meses

Un problema recurrente con las instalaciones de localhost es que las actualizaciones autom谩ticas / cargas de medios / plugins y las instalaciones de temas fallan debido a problemas de permisos de archivos y directorios. El resultado m谩s com煤n es que es m谩s f谩cil realizar cualquiera de las actualizaciones manualmente utilizando herramientas de copia manual de archivos en lugar de solucionar el problema. Esto no es necesariamente un problema.

(@ inventor84)

Hace 2 a帽os, 11 meses

Gracias Neil y RossMitchell por sus respuestas.

@rossmitchell – Definitivamente tendr茅 en cuenta el m茅todo de actualizaci贸n manual si es necesario. @neil: gracias por su r谩pida respuesta y sus enlaces espec铆ficos. Vi esos enlaces antes de publicarlos aqu铆 y veo a qu茅 te refieres con que se refer铆an a un archivo de problema diferente al de mi mensaje de error. He resuelto el problema, pero es un caso un poco extra帽o como lo hice.

Estoy usando una imagen de frambuesa de PressPi para ejecutar mi sitio de WordPress. No tengo mucha experiencia con las l铆neas de comando en la Pi, pero he logrado lo que necesitaba hasta ahora. Mis archivos de WordPress, como los archivos en wp-include, son f谩cilmente visibles en el explorador de archivos de Windows en ‘red’, pero nunca pude encontrarlos usando un programa FTP como FileZilla.

La configuraci贸n provino de hacer clic derecho en el archivo functions.php y cambiar los permisos para obtener una actualizaci贸n autom谩tica en WordPress para que se ejecute.

(@rossmitchell)

Hace 2 a帽os, 11 meses

La configuraci贸n provino de hacer clic derecho en el archivo functions.php y cambiar los permisos para obtener una actualizaci贸n autom谩tica en WordPress para que se ejecute.

Por favor, por favor, 驴a qu茅 ha cambiado los permisos (+ propiedad?) A, proporcionando datos como este, en mi humilde opini贸n, la comunidad y los voluntarios obtienen sus recompensas.

(@ inventor84)

Hace 2 a帽os, 11 meses

Deber铆a haber sido m谩s detallado antes, 隆alguien m谩s podr铆a aprovechar!

Mir茅 mi m谩quina RaspberryPi ‘PRESSPI’ en ‘Red’ en el explorador de Windows – navegaci贸n a WordPress / wp-include / functions.php – archivo clic derecho functions.php – propiedades seleccionadas – pesta帽a ‘seguridad’ seleccionada – En grupo o cuadro de nombre de usuario Seleccione ‘Todo’ y luego haga clic en el bot贸n Editar – Luego seleccione las marcas de verificaci贸n junto a: – Leer y ejecutar – Leer – Escribir – Permisos especiales username ‘tambi茅n conocido como root (Unix Group root). Las mismas casillas ya han sido marcadas por el llamado root (Unix User root).)

– Haga clic en Agregar solicitud y ‘Aceptar’ en ambas ventanas.

A continuaci贸n, fui a mi panel de WordPress en mi navegador web y pude actualizar mi WordPress a 4.9.1 a trav茅s del panel 馃檪 馃檪

— Group root) ‘ahora est谩 desmarcado. Solo root (Unix usuario root) tiene todas las casillas de permisos especiales de lectura / ejecuci贸n, escritura, verificaci贸n, verificaci贸n y, sin embargo, verificaci贸n. 鈥斺斺

Esta respuesta fue modificada hace 2 a帽os, 11 meses por.

驴Solucion贸 tu problema??

0 / 0

Deja una respuesta 0

Tu direcci贸n de correo electr贸nico no ser谩 publicada. Los campos obligatorios est谩n marcados con *